/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2025 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32g4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define TickLed_Pin GPIO_PIN_13
#define TickLed_GPIO_Port GPIOC
#define AddrA_Pin GPIO_PIN_0
#define AddrA_GPIO_Port GPIOC
#define AddrB_Pin GPIO_PIN_1
#define AddrB_GPIO_Port GPIOC
#define AddrC_Pin GPIO_PIN_2
#define AddrC_GPIO_Port GPIOC
#define OE_Pin GPIO_PIN_3
#define OE_GPIO_Port GPIOC
#define SegLedData_Pin GPIO_PIN_0
#define SegLedData_GPIO_Port GPIOA
#define KeyLine_Pin GPIO_PIN_0
#define KeyLine_GPIO_Port GPIOB
#define LCD_RST_Pin GPIO_PIN_11
#define LCD_RST_GPIO_Port GPIOB
#define LCD_CS_Pin GPIO_PIN_12
#define LCD_CS_GPIO_Port GPIOB
#define LCD_RS_Pin GPIO_PIN_14
#define LCD_RS_GPIO_Port GPIOB
#define HC595_OE_Pin GPIO_PIN_6
#define HC595_OE_GPIO_Port GPIOC
#define HC595_RCLK_Pin GPIO_PIN_7
#define HC595_RCLK_GPIO_Port GPIOC
#define HC595_SRCLK_Pin GPIO_PIN_8
#define HC595_SRCLK_GPIO_Port GPIOC
#define HC595_SER_Pin GPIO_PIN_9
#define HC595_SER_GPIO_Port GPIOC
#define KeyRow_Pin GPIO_PIN_4
#define KeyRow_GPIO_Port GPIOB

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
