#include "main.h"
#include "Hanzi.h"

#define HC595_PORT GPIOC

//GPIOλߣ
#define OE_SET		HC595_PORT->BSRR=HC595_OE_Pin 		
#define	RCLK_SET  	HC595_PORT->BSRR=HC595_RCLK_Pin    	
#define	SRCLK_SET	HC595_PORT->BSRR=HC595_SRCLK_Pin  		  
#define	SER_SET		HC595_PORT->BSRR=HC595_SER_Pin   		

//GPIOλͣ	
#define OE_CLR		HC595_PORT->BRR=HC595_OE_Pin 
#define	RCLK_CLR  	HC595_PORT->BRR=HC595_RCLK_Pin     
#define	SRCLK_CLR	HC595_PORT->BRR=HC595_SRCLK_Pin     	 
#define	SER_CLR		HC595_PORT->BRR=HC595_SER_Pin    

#define LATCH595	 	{RCLK_CLR;RCLK_SET;RCLK_CLR;}

extern uint8_t mPos;
extern uint8_t mNum;

void SendOneByte(uint8_t dat)
{ 	
	uint8_t i; 
	OE_CLR;
	for(i=0;i<8;i++)
	{  
		if((dat&0x80))	   
			SER_SET;
		else
			SER_CLR;
		dat <<= 1;		
		SRCLK_CLR;//SRCLK=0;
		SRCLK_SET;//	SRCLK=1;
   }         
}

/*******************************************************
SendTwoBytes(uint16_t dat,bit dir)
ܣHC595оƬֽ
ڲdatݣdir1:ȷλ;0:ȷλ
ز
********************************************************/
void SendTwoBytes(uint16_t dat)
{  
	
	uint8_t i; 
	OE_CLR;
	for(i=0;i<16;i++)
	{  		
		if((dat &0x8000))	   
			SER_SET;
		else
			SER_CLR;
		dat <<= 1;	
		
		SRCLK_CLR;//SRCLK=0;
		SRCLK_SET;//	SRCLK=1;
   }         
}


/*******************************************************
//ƣHanziDiplay()
//ܣ̬ʾһ
//ڲ
//ز
********************************************************/
void HanziDiplay(void)
{
	uint16_t temp;	
	SendTwoBytes(ScanTab[mPos]);
	temp=HanziTab[2*mPos+1+32*mNum];
	temp=(temp<<8)|HanziTab[2*mPos+32*mNum];
	SendTwoBytes(temp);
	LATCH595;
	if(++mPos>=16)
	{
		mPos=0;
	}
}
