/****************************************************************************************************
//=========================================Դ================================================//
//     LCDģ                STM32Ƭ
//      VCC                  DC5V/3.3V      //Դ
//      GND                    GND          //Դ
//=======================================Һ߽==========================================//
//ģĬΪSPI
//     LCDģ                STM32Ƭ    
//       SDA                   PB15         //ҺSPIдź
//=======================================Һ߽==========================================//
//     LCDģ 					      STM32Ƭ 
//       SCK                   PB13         //ҺSPIʱź
//       A0                    PB10         //Һ/ź
//       RESET                 PB12         //Һλź
//       CS                    PB11         //ҺƬѡź
**************************************************************************************************/	
 /* @attention
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, QD electronic SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
**************************************************************************************************/	
#ifndef __LCD_H
#define __LCD_H		
#include "main.h"
#include "stdlib.h"

//LCDҪ
typedef struct  
{										    
	uint16_t width;				//LCD 
	uint16_t height;			//LCD ߶
	uint16_t id;				  //LCD ID
	uint8_t  dir;			  	//ƣ01	
	uint16_t	 wramcmd;		//ʼдgramָ
	uint16_t  setxcmd;			//xָ
	uint16_t  setycmd;			//yָ	 
}_lcd_dev; 	

//LCD
extern _lcd_dev lcddev;	//LCDҪ
/////////////////////////////////////û///////////////////////////////////	 
#define USE_HORIZONTAL  	 0 //Һ˳ʱת 	0-0ת1-90ת2-180ת3-270ת

//////////////////////////////////////////////////////////////////////////////////	  
//LCDĳߴ
#define LCD_W 128
#define LCD_H 160

//TFTLCDҪõĺ		   
extern uint16_t  POINT_COLOR;//ĬϺɫ    
extern uint16_t  BACK_COLOR; //ɫ.ĬΪɫ

////////////////////////////////////////////////////////////////////
//-----------------LCD˿ڶ---------------- 


//GPIOλߣ
#define	LCD_CS_SET  LCD_CS_GPIO_Port->BSRR=LCD_CS_Pin    //Ƭѡ˿  	PB12
#define	LCD_RS_SET	LCD_RS_GPIO_Port->BSRR=LCD_RS_Pin    ///  	PB14	  
#define	LCD_RST_SET	LCD_RST_GPIO_Port->BSRR=LCD_RST_Pin   //λ	 	PB11

//GPIOλͣ							    
#define	LCD_CS_CLR  LCD_CS_GPIO_Port->BRR=LCD_CS_Pin     //Ƭѡ˿  	PB12
#define	LCD_RS_CLR	LCD_RS_GPIO_Port->BRR=LCD_RS_Pin     ///  	PB13	 
#define	LCD_RST_CLR	LCD_RST_GPIO_Port->BRR=LCD_RST_Pin    //λ		PB11

//ɫ
#define WHITE       		0xFFFF
#define BLACK      			0x0000	  
#define BLUE       			0x001F  
#define BRED        		0XF81F
#define GRED 				0XFFE0
#define GBLUE			 	0X07FF
#define RED         		0xF800
#define MAGENTA     		0xF81F
#define GREEN       		0x07E0
#define CYAN        		0x7FFF
#define YELLOW      		0xFFE0
#define BROWN 			0XBC40 //ɫ
#define BRRED 			0XFC07 //غɫ
#define GRAY  			0X8430 //ɫ
//GUIɫ

#define DARKBLUE      	 0X01CF	//ɫ
#define LIGHTBLUE      	 0X7D7C	//ǳɫ  
#define GRAYBLUE       	 0X5458 //ɫ
//ɫΪPANELɫ 
 
#define LIGHTGREEN     	0X841F //ǳɫ
#define LIGHTGRAY     0XEF5B //ǳɫ(PANNEL)
#define LGRAY 			 		0XC618 //ǳɫ(PANNEL),屳ɫ

#define LGRAYBLUE      	0XA651 //ǳɫ(мɫ)
#define LBBLUE          0X2B12 //ǳɫ(ѡĿķɫ)
	    															  
void LCD_Init(void);
void LCD_DisplayOn(void);
void LCD_DisplayOff(void);
void LCD_Clear(uint16_t Color);	 
void LCD_SetCursor(uint16_t Xpos, uint16_t Ypos);
void LCD_DrawPoint(uint16_t x,uint16_t y);//
uint16_t  LCD_ReadPoint(uint16_t x,uint16_t y); //
void LCD_DrawLine(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);
void LCD_DrawRectangle(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2);		   
void LCD_SetWindows(uint16_t xStar, uint16_t yStar,uint16_t xEnd,uint16_t yEnd);

uint16_t LCD_RD_DATA(void);//ȡLCD									    
void LCD_WriteReg(uint8_t LCD_Reg, uint16_t LCD_RegValue);
void LCD_WR_DATA(uint8_t data);
uint16_t LCD_ReadReg(uint8_t LCD_Reg);
void LCD_WriteRAM_Prepare(void);
void LCD_WriteRAM(uint16_t RGB_Code);
uint16_t LCD_ReadRAM(void);		   
uint16_t LCD_BGR2RGB(uint16_t c);
void LCD_SetParam(void);
void Lcd_WriteData_16Bit(uint16_t Data);
void LCD_direction(uint8_t direction );


				  		 
#endif  
	 
	 



