#include <stdint.h>
#ifndef __VARIABLE_H
#define __VARIABLE_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
    uint8_t mMilSecCount;           // 毫秒计数
    uint8_t bTenMilSecOk;           // 10毫秒标志位
    uint8_t mTenMilSecCount;        // 10毫秒计数
    uint8_t bHundredMilSecOk;       // 100毫秒标志位
    uint8_t mTimeCount;             // 秒计数
    uint8_t bTimeOk;                // 秒标志位
} stSysTickTimer;

#ifdef __cplusplus
}
#endif

#endif /* __VARIABLE_H */
